



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>Bokeh Plot</title>
      
      
        
          
        
        
          
        <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-2.4.2.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="2f5a81aa-3dde-4351-853c-e1e5c409a370" data-root-id="1002"></div>
            
          
        
      
      
        <script type="application/json" id="1408">
          {"c17996fd-cacf-4d57-98df-343b53ab71dc":{"defs":[],"roots":{"references":[{"attributes":{},"id":"1022","type":"WheelZoomTool"},{"attributes":{},"id":"1044","type":"AllLabels"},{"attributes":{"source":{"id":"1035"}},"id":"1040","type":"CDSView"},{"attributes":{"axis":{"id":"1017"},"coordinates":null,"dimension":1,"group":null,"ticker":null},"id":"1020","type":"Grid"},{"attributes":{},"id":"1046","type":"DatetimeTickFormatter"},{"attributes":{},"id":"1018","type":"BasicTicker"},{"attributes":{"line_alpha":0.1,"line_color":"#1f77b4","line_width":2,"x":{"field":"x"},"y":{"field":"y"}},"id":"1037","type":"Line"},{"attributes":{"coordinates":null,"data_source":{"id":"1065"},"glyph":{"id":"1066"},"group":null,"hover_glyph":null,"muted_glyph":{"id":"1068"},"nonselection_glyph":{"id":"1067"},"view":{"id":"1070"}},"id":"1069","type":"GlyphRenderer"},{"attributes":{},"id":"1026","type":"HelpTool"},{"attributes":{"line_alpha":0.2,"line_color":"#1f77b4","line_width":2,"x":{"field":"x"},"y":{"field":"y"}},"id":"1038","type":"Line"},{"attributes":{},"id":"1021","type":"PanTool"},{"attributes":{},"id":"1047","type":"AllLabels"},{"attributes":{"line_color":"#1f77b4","line_width":2,"x":{"field":"x"},"y":{"field":"y"}},"id":"1036","type":"Line"},{"attributes":{"overlay":{"id":"1027"}},"id":"1023","type":"BoxZoomTool"},{"attributes":{},"id":"1024","type":"SaveTool"},{"attributes":{"coordinates":null,"group":null,"items":[{"id":"1064"},{"id":"1095"}]},"id":"1063","type":"Legend"},{"attributes":{},"id":"1025","type":"ResetTool"},{"attributes":{"source":{"id":"1065"}},"id":"1070","type":"CDSView"},{"attributes":{"bottom_units":"screen","coordinates":null,"fill_alpha":0.5,"fill_color":"lightgrey","group":null,"left_units":"screen","level":"overlay","line_alpha":1.0,"line_color":"black","line_dash":[4,4],"line_width":2,"right_units":"screen","syncable":false,"top_units":"screen"},"id":"1027","type":"BoxAnnotation"},{"attributes":{"line_alpha":0.2,"line_color":"orange","line_width":2,"x":{"field":"x"},"y":{"field":"y"}},"id":"1068","type":"Line"},{"attributes":{"label":{"value":"New Cases"},"renderers":[{"id":"1039"}]},"id":"1064","type":"LegendItem"},{"attributes":{"data":{"x":[1646784000000.0,1646870400000.0,1646956800000.0,1647043200000.0,1647129600000.0,1647216000000.0,1647302400000.0,1647388800000.0,1647475200000.0,1647561600000.0,1647648000000.0,1647734400000.0,1647820800000.0,1647907200000.0,1647993600000.0,1648080000000.0,1648166400000.0,1648252800000.0,1648339200000.0,1648425600000.0,1648512000000.0,1648598400000.0,1648684800000.0,1648771200000.0,1648857600000.0,1648944000000.0],"y":[23714,22320,21396,19547,17914,18002,18776,18656,18919,18967,18993,19009,19109,19114,19337,19125,19163,19397,19484,19613,19616,19512,19270,18550,17614,16446]},"selected":{"id":"1081"},"selection_policy":{"id":"1080"}},"id":"1065","type":"ColumnDataSource"},{"attributes":{"label":{"value":"Rolling Average"},"renderers":[{"id":"1069"}]},"id":"1095","type":"LegendItem"},{"attributes":{},"id":"1048","type":"UnionRenderers"},{"attributes":{"line_color":"orange","line_width":2,"x":{"field":"x"},"y":{"field":"y"}},"id":"1066","type":"Line"},{"attributes":{"mantissas":[1,2,5],"max_interval":500.0,"num_minor_ticks":0},"id":"1051","type":"AdaptiveTicker"},{"attributes":{"base":60,"mantissas":[1,2,5,10,15,20,30],"max_interval":1800000.0,"min_interval":1000.0,"num_minor_ticks":0},"id":"1052","type":"AdaptiveTicker"},{"attributes":{"line_alpha":0.1,"line_color":"orange","line_width":2,"x":{"field":"x"},"y":{"field":"y"}},"id":"1067","type":"Line"},{"attributes":{},"id":"1049","type":"Selection"},{"attributes":{"months":[0,2,4,6,8,10]},"id":"1059","type":"MonthsTicker"},{"attributes":{"days":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31]},"id":"1054","type":"DaysTicker"},{"attributes":{},"id":"1043","type":"BasicTickFormatter"},{"attributes":{"base":24,"mantissas":[1,2,4,6,8,12],"max_interval":43200000.0,"min_interval":3600000.0,"num_minor_ticks":0},"id":"1053","type":"AdaptiveTicker"},{"attributes":{},"id":"1062","type":"YearsTicker"},{"attributes":{"months":[0,1,2,3,4,5,6,7,8,9,10,11]},"id":"1058","type":"MonthsTicker"},{"attributes":{"below":[{"id":"1013"}],"center":[{"id":"1016"},{"id":"1020"},{"id":"1063"}],"left":[{"id":"1017"}],"renderers":[{"id":"1039"},{"id":"1069"}],"title":{"id":"1003"},"toolbar":{"id":"1028"},"width":1200,"x_range":{"id":"1005"},"x_scale":{"id":"1009"},"y_range":{"id":"1007"},"y_scale":{"id":"1011"}},"id":"1002","subtype":"Figure","type":"Plot"},{"attributes":{"days":[1,4,7,10,13,16,19,22,25,28]},"id":"1055","type":"DaysTicker"},{"attributes":{"coordinates":null,"data_source":{"id":"1035"},"glyph":{"id":"1036"},"group":null,"hover_glyph":null,"muted_glyph":{"id":"1038"},"nonselection_glyph":{"id":"1037"},"view":{"id":"1040"}},"id":"1039","type":"GlyphRenderer"},{"attributes":{},"id":"1080","type":"UnionRenderers"},{"attributes":{"days":[1,15]},"id":"1057","type":"DaysTicker"},{"attributes":{},"id":"1007","type":"DataRange1d"},{"attributes":{"months":[0,6]},"id":"1061","type":"MonthsTicker"},{"attributes":{"days":[1,8,15,22]},"id":"1056","type":"DaysTicker"},{"attributes":{},"id":"1081","type":"Selection"},{"attributes":{},"id":"1005","type":"DataRange1d"},{"attributes":{"data":{"x":[1646784000000.0,1646870400000.0,1646956800000.0,1647043200000.0,1647129600000.0,1647216000000.0,1647302400000.0,1647388800000.0,1647475200000.0,1647561600000.0,1647648000000.0,1647734400000.0,1647820800000.0,1647907200000.0,1647993600000.0,1648080000000.0,1648166400000.0,1648252800000.0,1648339200000.0,1648425600000.0,1648512000000.0,1648598400000.0,1648684800000.0,1648771200000.0,1648857600000.0,1648944000000.0],"y":[23714,20926,19548,14002,11381,18442,23422,22876,22762,19889,14179,11493,19143,23460,24438,21274,20156,15818,12105,20042,23479,23716,19574,15117,9269,3927]},"selected":{"id":"1049"},"selection_policy":{"id":"1048"}},"id":"1035","type":"ColumnDataSource"},{"attributes":{"months":[0,4,8]},"id":"1060","type":"MonthsTicker"},{"attributes":{},"id":"1009","type":"LinearScale"},{"attributes":{"coordinates":null,"group":null,"text":"Rolling 7 Day Avg (Positive Cases-L30D)"},"id":"1003","type":"Title"},{"attributes":{"axis_label":"Cases","coordinates":null,"formatter":{"id":"1043"},"group":null,"major_label_policy":{"id":"1044"},"ticker":{"id":"1018"}},"id":"1017","type":"LinearAxis"},{"attributes":{"num_minor_ticks":5,"tickers":[{"id":"1051"},{"id":"1052"},{"id":"1053"},{"id":"1054"},{"id":"1055"},{"id":"1056"},{"id":"1057"},{"id":"1058"},{"id":"1059"},{"id":"1060"},{"id":"1061"},{"id":"1062"}]},"id":"1014","type":"DatetimeTicker"},{"attributes":{"axis":{"id":"1013"},"coordinates":null,"group":null,"ticker":null},"id":"1016","type":"Grid"},{"attributes":{"tools":[{"id":"1021"},{"id":"1022"},{"id":"1023"},{"id":"1024"},{"id":"1025"},{"id":"1026"}]},"id":"1028","type":"Toolbar"},{"attributes":{},"id":"1011","type":"LinearScale"},{"attributes":{"axis_label":"Date","coordinates":null,"formatter":{"id":"1046"},"group":null,"major_label_policy":{"id":"1047"},"ticker":{"id":"1014"}},"id":"1013","type":"DatetimeAxis"}],"root_ids":["1002"]},"title":"Bokeh Application","version":"2.4.2"}}
        </script>
        <script type="text/javascript">
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  const docs_json = document.getElementById('1408').textContent;
                  const render_items = [{"docid":"c17996fd-cacf-4d57-98df-343b53ab71dc","root_ids":["1002"],"roots":{"1002":"2f5a81aa-3dde-4351-853c-e1e5c409a370"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>